IRremoteESP8266

Public Attributes | List of all members
FujitsuProtocol Union Reference

Native representation of a Fujitsu A/C message. More...

`#include <ir_Fujitsu.h>`

## Public Attributes
struct {
uint8_t longcode [kFujitsuAcStateLength]
| The state of the IR remote. More...
uint8_t shortcode [kFujitsuAcStateLengthShort]
}; |
struct {
uint64_t __pad0__:16
uint64_t __pad1__:4
uint64_t Id:2
uint64_t __pad2__:2
uint64_t __pad3__:16
uint64_t Cmd:8
uint64_t RestLength:8
uint64_t Protocol:8
uint64_t Power:1
uint64_t Fahrenheit:1
uint64_t Temp:6
uint64_t Mode:3
uint64_t Clean:1
uint64_t TimerType:2
uint64_t __pad4__:2
uint64_t Fan:3
uint64_t __pad5__:1
uint64_t Swing:2
uint64_t __pad6__:2
uint64_t OffTimer:11
uint64_t OffTimerEnable:1
uint64_t OnTimer:11
uint64_t OnTimerEnable:1
uint64_t __pad7__:3
uint64_t Filter:1
uint64_t __pad8__:1
uint64_t unknown:1
uint64_t __pad9__:1
uint64_t OutsideQuiet:1
uint64_t __pad10__:0
}; |

## Detailed Description

Native representation of a Fujitsu A/C message.

## Member Data Documentation

## ◆ @47

struct { ... }

## ◆ @49

struct { ... }

## ◆ __pad0__

uint64_t FujitsuProtocol::__pad0__

## ◆ __pad10__

uint64_t FujitsuProtocol::__pad10__

## ◆ __pad1__

uint64_t FujitsuProtocol::__pad1__

## ◆ __pad2__

uint64_t FujitsuProtocol::__pad2__

## ◆ __pad3__

uint64_t FujitsuProtocol::__pad3__

## ◆ __pad4__

uint64_t FujitsuProtocol::__pad4__

## ◆ __pad5__

uint64_t FujitsuProtocol::__pad5__

## ◆ __pad6__

uint64_t FujitsuProtocol::__pad6__

## ◆ __pad7__

uint64_t FujitsuProtocol::__pad7__

## ◆ __pad8__

uint64_t FujitsuProtocol::__pad8__

## ◆ __pad9__

uint64_t FujitsuProtocol::__pad9__

## ◆ Clean

uint64_t FujitsuProtocol::Clean

## ◆ Cmd

uint64_t FujitsuProtocol::Cmd

## ◆ Fahrenheit

uint64_t FujitsuProtocol::Fahrenheit

## ◆ Fan

uint64_t FujitsuProtocol::Fan

## ◆ Filter

uint64_t FujitsuProtocol::Filter

## ◆ Id

uint64_t FujitsuProtocol::Id

## ◆ longcode

uint8_t FujitsuProtocol::longcode[kFujitsuAcStateLength]

The state of the IR remote.

## ◆ Mode

uint64_t FujitsuProtocol::Mode

## ◆ OffTimer

uint64_t FujitsuProtocol::OffTimer

## ◆ OffTimerEnable

uint64_t FujitsuProtocol::OffTimerEnable

## ◆ OnTimer

uint64_t FujitsuProtocol::OnTimer

## ◆ OnTimerEnable

uint64_t FujitsuProtocol::OnTimerEnable

## ◆ OutsideQuiet

uint64_t FujitsuProtocol::OutsideQuiet

## ◆ Power

uint64_t FujitsuProtocol::Power

## ◆ Protocol

uint64_t FujitsuProtocol::Protocol

## ◆ RestLength

uint64_t FujitsuProtocol::RestLength

## ◆ shortcode

uint8_t FujitsuProtocol::shortcode[kFujitsuAcStateLengthShort]

## ◆ Swing

uint64_t FujitsuProtocol::Swing

## ◆ Temp

uint64_t FujitsuProtocol::Temp

## ◆ TimerType

uint64_t FujitsuProtocol::TimerType

## ◆ unknown

uint64_t FujitsuProtocol::unknown

The documentation for this union was generated from the following file:

- src/ir_Fujitsu.h